Page MenuHomePhabricator

efl/gesture: handle multi-touch press for tap gestures
ClosedPublic

Authored by zmike on Jan 13 2020, 12:13 PM.

Details

Summary

any time multiple fingers are pressed down at the same time, we should
treat this as a single gesture like if only one finger was pressed

Depends on D11085

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 13 2020, 12:13 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

CHAN added a subscriber: CHAN.Jan 16 2020, 10:01 PM

@zmike

When double tapping with multiple fingers, gesture_layer triggered a double tap event with number of fingers info.

To ensure compatibility with this behavior ... (not currently implemented ;;) This commit does not seem to be able to support multi-finger tap events.

what do you think?

zmike added a comment.Jan 17 2020, 6:20 AM

Interesting. I don't think this patch prohibits us from adding that data to events, however. It should become easier to manage since we'll have more info (in the gesture recognizer) about which fingers are pressed.

I'll add another patch to implement this.

zmike updated this revision to Diff 28265.Jan 17 2020, 7:42 AM
zmike edited the summary of this revision. (Show Details)
zmike added a reviewer: CHAN.

update

zmike updated this revision to Diff 28342.Jan 21 2020, 11:56 AM
zmike added a reviewer: bu5hm4n.

rebase/update

zmike updated this revision to Diff 28387.Jan 22 2020, 6:36 AM

remove off-canvas blocking

zmike updated this revision to Diff 28395.Jan 22 2020, 6:59 AM

fix timeout to be correct units

segfaultxavi added inline comments.
src/lib/evas/gesture/efl_canvas_gesture_private.h
11

Can we add a comment here stating the units so the next developer messing with this knows what he's doing?

zmike planned changes to this revision.Jan 22 2020, 12:10 PM

this is getting refined a little more

zmike updated this revision to Diff 28438.Jan 23 2020, 12:24 PM

rework/rebase

CHAN added a comment.Jan 28 2020, 4:23 AM

@zmike I will get some test on this patch. and update result. thank you.

zmike added a comment.Jan 28 2020, 6:51 AM

I threw in the 0.1s time as a guess, we may want this to be a config value or something?

zmike updated this revision to Diff 28659.Jan 29 2020, 11:20 AM

rebase/rework

CHAN accepted this revision.Feb 4 2020, 11:52 PM
This revision is now accepted and ready to land.Feb 4 2020, 11:52 PM
Closed by commit rEFL15527dbecb4b: efl/gesture: handle multi-touch press for tap gestures (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:12 AM
This revision was automatically updated to reflect the committed changes.